# JSONiq Language Server

The JSONiq Language Server is a TypeScript-based server that provides language support for JSONiq in various development environments. It is primarily used by the VS Code extension [`jsoniq`](https://github.com/DavidBuzatu-Marian/Jsoniq-LanguageServer) and the Jupyter Notebook LSP.

## Features

- Syntax highlighting: Provides syntax highlighting for JSONiq code.
- Code completion: Offers intelligent code completion suggestions based on the context.
- Error checking: Performs real-time error checking and provides diagnostics for JSONiq code.

## Installation

To use the JSONiq Language Server, you need to have Node.js and npm installed on your machine. Then, follow these steps:

1. Clone the repository: `git clone https://github.com/DavidBuzatu-Marian/Jsoniq-LanguageServer`
2. Install dependencies: `npm install`
3. Build the project: `npm run build`
4. Start the language server: `npm run start`

## Usage

Once the language server is running, you can use it with the `jsoniq` VS Code extension or the Jupyter Notebook LSP. Simply open a JSONiq file in your preferred development environment, and the language server will provide the necessary language support features.

## NPM Package Link

The NPM package can be found at the official [npm page](https://www.npmjs.com/package/jsoniq-language-server).

## Contributing

Contributions are welcome! If you find any issues or have suggestions for improvements, please open an issue or submit a pull request on the GitHub repository.

## License

This project is licensed under the Apache 2.0 License. See the [LICENSE](./LICENSE) file for more details.
